Fixing video drivers in Linux

One of the drawbacks of a monolithic kernel is that you're often stuck with outdated drivers that don't work for your hardware. Even if a fix is available upstream, there's no easy way to update just a single driver. Luckily, LinuxTV now at least offers a script to automatically recompile the entire Video4Linux subsystem against your current kernel version, and replace the default modules with the latest versions: http://git.linuxtv.org/media_build.git

On Ubuntu, you'll need to install at least the kernel-sources and build-tools: apt-get install git build-essential linux-headers-generic

On Lucid, updating the V4L-core solves (among other things) the "frame overflow" problems that occur with webcams that use the vc032x gspca-driver.